### Function

# Gimp heal

since: 2.4

#### Declaration [src]

    gboolean
    gimp_heal (
      GimpDrawable* drawable,
      GimpDrawable* src_drawable,
      gdouble src_x,
      gdouble src_y,
      gsize num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Heal from the source to the dest drawable using the current brush

This tool heals the source drawable starting at the specified source coordinates to the dest drawable. For image healing, if the sum of the src coordinates and subsequent stroke offsets exceeds the extents of the src drawable, then no paint is transferred. The healing tool is capable of transforming between any image types except RGB->Indexed.

Available since: 2.4

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The affected drawable.

  The data is owned by the caller of the function.

`src_drawable`

  Type: `GimpDrawable`

  The source drawable.

  The data is owned by the caller of the function.

`src_x`

  Type: `gdouble`

  The x coordinate in the source image.

`src_y`

  Type: `gdouble`

  The y coordinate in the source image.

`num_strokes`

  Type: `gsize`

  Number of stroke control points (count each coordinate as 2 points).

`strokes`

  Type: An array of `double`

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.

  The length of the array is specified in the `num_strokes` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.